Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

python27Packages.eventlet: 0.28.1 -> 0.29.1 #105401

Closed

Conversation

@r-ryantm
Copy link
Contributor

@r-ryantm r-ryantm commented Nov 29, 2020

Automatic update generated by nixpkgs-update tools. This update was made based on information from passthru.updateScript.

meta.description for python27Packages.eventlet is: "A concurrent networking library for Python"

meta.homepage for python27Packages.eventlet is: "https://pypi.python.org/pypi/eventlet/"

meta.changelog for python27Packages.eventlet is: ""

Updates performed
  • Ran passthru.UpdateScript
To inspect upstream changes
Impact
Checks done (click to expand)

Rebuild report (if merged into master) (click to expand)
91 total rebuild path(s)

23 package rebuild(s)

23 x86_64-linux rebuild(s)
23 i686-linux rebuild(s)
22 x86_64-darwin rebuild(s)
23 aarch64-linux rebuild(s)


First fifty rebuilds by attrpath
appdaemon
gdbgui
patroni
python27Packages.aioeventlet
python27Packages.cassandra-driver
python27Packages.eventlet
python27Packages.kazoo
python27Packages.zake
python37Packages.cassandra-driver
python37Packages.eventlet
python37Packages.flask-socketio
python37Packages.kazoo
python37Packages.python-engineio
python37Packages.python-socketio
python37Packages.zake
python38Packages.cassandra-driver
python38Packages.eventlet
python38Packages.flask-socketio
python38Packages.kazoo
python38Packages.python-engineio
python38Packages.python-socketio
python38Packages.zake
zk-shell
Instructions to test this update (click to expand)

Either download from Cachix:

nix-store -r /nix/store/vsjkwrh2vawamg4lplvnifq7n6vslykf-python2.7-eventlet-0.29.1 \
  --option binary-caches 'https://cache.nixos.org/ https://nix-community.cachix.org/' \
  --option trusted-public-keys '
  nix-community.cachix.org-1:mB9FSh9qf2dCimDSUo8Zy7bkq5CX+/rkCWyvRCYg3Fs=
  cache.nixos.org-1:6NCHdD59X431o0gWypbMrAURkbJ16ZPMQFGspcDShjY=
  '

(The Cachix cache is only trusted for this store-path realization.)
For the Cachix download to work, your user must be in the trusted-users list or you can use sudo since root is effectively trusted.

Or, build yourself:

nix-build -A python27Packages.eventlet https://github.com/r-ryantm/nixpkgs/archive/60d2314377eacce31a4b8d9b3e27fb8b4c066376.tar.gz

After you've downloaded or built it, look at the files and if there are any, run the binaries:

ls -la /nix/store/vsjkwrh2vawamg4lplvnifq7n6vslykf-python2.7-eventlet-0.29.1
ls -la /nix/store/vsjkwrh2vawamg4lplvnifq7n6vslykf-python2.7-eventlet-0.29.1/bin


Pre-merge build results

We have automatically built all packages that will get rebuilt due to
this change.

This gives evidence on whether the upgrade will break dependent packages.
Note sometimes packages show up as failed to build independent of the
change, simply because they are already broken on the target branch.

Result of nixpkgs-review 1

3 packages failed to build:
  • python27Packages.cassandra-driver
  • python37Packages.cassandra-driver
  • python38Packages.cassandra-driver
20 packages built:
  • appdaemon
  • gdbgui
  • patroni
  • python27Packages.aioeventlet
  • python27Packages.eventlet
  • python27Packages.kazoo
  • python27Packages.zake
  • python37Packages.eventlet
  • python37Packages.flask-socketio
  • python37Packages.kazoo
  • python37Packages.python-engineio
  • python37Packages.python-socketio
  • python37Packages.zake
  • python38Packages.eventlet
  • python38Packages.flask-socketio
  • python38Packages.kazoo
  • python38Packages.python-engineio
  • python38Packages.python-socketio
  • python38Packages.zake
  • zk-shell

Maintainer pings
@SuperSandro2000
Copy link
Member

@SuperSandro2000 SuperSandro2000 commented Nov 30, 2020

python38Packages.cassandra-driver is marked broken on master.

@SuperSandro2000
Copy link
Member

@SuperSandro2000 SuperSandro2000 commented Nov 30, 2020

Result of nixpkgs-review pr 105401 1

6 packages marked as broken and skipped:
  • python27Packages.cassandra-driver
  • python27Packages.zake
  • python37Packages.cassandra-driver
  • python37Packages.zake
  • python38Packages.cassandra-driver
  • python38Packages.zake
8 packages failed to build:
  • appdaemon
  • gdbgui
  • python37Packages.flask-socketio
  • python37Packages.python-engineio
  • python37Packages.python-socketio
  • python38Packages.flask-socketio
  • python38Packages.python-engineio
  • python38Packages.python-socketio
8 packages built:
  • python27Packages.aioeventlet
  • python27Packages.eventlet
  • python27Packages.kazoo
  • python37Packages.eventlet
  • python37Packages.kazoo
  • python38Packages.eventlet
  • python38Packages.kazoo
  • zk-shell

@jonringer
Copy link
Contributor

@jonringer jonringer commented Dec 2, 2020

already on staging

[23:08:48] jon@nixos ~/projects/nixpkgs (staging-next)
$ nix eval -f default.nix python3Packages.eventlet.version
"0.29.1"

@jonringer jonringer closed this Dec 2, 2020
@r-ryantm r-ryantm deleted the auto-update/python2.7-eventlet branch Dec 3, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

3 participants